#!/usr/bin/perl
#
# Splits the list of files and outputs for makefile type files
# wrapped at 80 chars
#
# Tom St Denis
use strict;
use warnings;

my @a = split ' ', $ARGV[1];
my $b = $ARGV[0] . '=';
my $len = length $b;
print $b;
foreach my $obj (@a) {
   $len = $len + length $obj;
   $obj =~ s/\*/\$/;
   if ($len > 100) {
      printf "\\\n";
      $len = length $obj;
   }
   print $obj . ' ';
}

print "\n\n";

# ref:         tag: v1.0.1-rc2
# git commit:  e8c27ba7df0efb90708029115c94d681dfa7812f
# commit time: 2017-08-29 10:48:46 +0200
